Skip to main content
PATCH
Error

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Path Parameters

idOrCode
string
required

customer identifier. search priority: 1) code, 2) id

Body

application/json
phone
string
countryCode
string
status
enum<string>
Available options:
DRAFT,
PENDING,
APPROVED,
BLOCKED,
INACTIVE
companyName
string
commercialName
string
stateInscription
string
email
string
observation
string
addresses
object[] | null
salesRepresentatives
object[] | null
classifications
object[] | null

customer classifications to be created and bound, or bound if they already exist. if provided as array, replaces the classifications created through integration. if provided as null or empty array, removes the classifications created through integration. classifications with origin TECEO, created manually through the web app, are always kept. if omitted, existing classifications are kept unchanged.

priceTable
object
customerGroupCode
string | null

code of an existing active customer group to bind the customer to. pass null to remove the customer group.

useGroupPriceTable
boolean

when true, the customer is priced by the price table of its customer group instead of its own. when omitted the current value is kept

creditLimit
number
availableBalance
number
suframaCode
string
customerParentCode
string | null

parent customer code. pass null to remove the parent relationship.

customFields
object[]

custom fields to be set to the customer

contacts
object[] | null

customer contacts to be updated. each contact must have a name and at least email or phone. duplicate emails or phones are not allowed. if provided as array, all existing contacts will be replaced. if provided as null or empty array, all contacts will be removed

blockingReason
object | null

customer blocking reason. status is what blocks the customer, and the web only allows editing this field when status is BLOCKED. resolved by integrationCode within the brand, creating it when it does not exist yet. pass null to remove it

Response

customer updated

status
number
required
message
string
code
string

machine readable error code, present only when the update fails with a typed business error